Bug 1269778 - [abrt] webkitgtk4: std::__throw_bad_function_call(): WebKitWebProcess killed by SIGABRT
[abrt] webkitgtk4: std::__throw_bad_function_call(): WebKitWebProcess killed ...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: webkitgtk4 (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Popela
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:12a36fbfb20b65c70e228c3c54a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-08 04:09 EDT by 项纪汉
Modified: 2016-01-29 12:30 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-17 13:35:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (62.46 KB, text/plain)
2015-10-08 04:09 EDT, 项纪汉
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-08 04:09 EDT, 项纪汉
no flags Details
File: core_backtrace (9.67 KB, text/plain)
2015-10-08 04:09 EDT, 项纪汉
no flags Details
File: dso_list (13.11 KB, text/plain)
2015-10-08 04:09 EDT, 项纪汉
no flags Details
File: environ (1.65 KB, text/plain)
2015-10-08 04:09 EDT, 项纪汉
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-08 04:09 EDT, 项纪汉
no flags Details
File: maps (59.39 KB, text/plain)
2015-10-08 04:09 EDT, 项纪汉
no flags Details
File: mountinfo (3.38 KB, text/plain)
2015-10-08 04:09 EDT, 项纪汉
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-08 04:09 EDT, 项纪汉
no flags Details
File: open_fds (1.22 KB, text/plain)
2015-10-08 04:09 EDT, 项纪汉
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2015-10-08 04:09 EDT, 项纪汉
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
WebKit Project 151248 None None None Never

  None (edit)
Description 项纪汉 2015-10-08 04:09:09 EDT
Version-Release number of selected component:
webkitgtk4-2.10.0-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 18
crash_function: std::__throw_bad_function_call
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
global_pid:     2609
kernel:         4.2.1-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 std::__throw_bad_function_call at ../../../../../libstdc++-v3/src/c++11/functexcept.cc:139
 #7 std::function<void (WebCore::PolicyAction)>::operator()(WebCore::PolicyAction) const at /usr/include/c++/5.1.1/functional:2270
 #8 WebKit::WebFrameLoaderClient::dispatchDecidePolicyForNavigationAction(WebCore::NavigationAction const&, WebCore::ResourceRequest const&, WTF::PassRefPtr<WebCore::FormState>, std::function<void (WebCore::PolicyAction)>) at /usr/src/debug/webkitgtk-2.10.0/Source/WebKit2/WebProcess/WebCoreSupport/WebFrameLoaderClient.cpp:750
 #9 WebCore::PolicyChecker::checkNavigationPolicy(WebCore::ResourceRequest const&, WebCore::DocumentLoader*, WTF::PassRefPtr<WebCore::FormState>, std::function<void (WebCore::ResourceRequest const&, WTF::PassRefPtr<WebCore::FormState>, bool)>) at /usr/src/debug/webkitgtk-2.10.0/Source/WebCore/loader/PolicyChecker.cpp:122
 #10 WebCore::FrameLoader::loadWithDocumentLoader at /usr/src/debug/webkitgtk-2.10.0/Source/WebCore/loader/FrameLoader.cpp:1485
 #11 WebCore::FrameLoader::load at /usr/src/debug/webkitgtk-2.10.0/Source/WebCore/loader/FrameLoader.cpp:1384
 #13 WebCore::UserInputBridge::loadRequest at /usr/src/debug/webkitgtk-2.10.0/Source/WebCore/replay/UserInputBridge.cpp:242
 #14 WebKit::WebPage::loadRequest at /usr/src/debug/webkitgtk-2.10.0/Source/WebKit2/WebProcess/WebPage/WebPage.cpp:1056
 #15 IPC::callMemberFunctionImpl<WebKit::WebPage, void (WebKit::WebPage::*)(unsigned long, WebCore::ResourceRequest const&, WebKit::SandboxExtension::Handle const&, unsigned long, WebKit::UserData const&), std::tuple<unsigned long, WebCore::ResourceRequest, WebKit::SandboxExtension::Handle, unsigned long, WebKit::UserData>, 0ul, 1ul, 2ul, 3ul, 4ul>(WebKit::WebPage*, void (WebKit::WebPage::*)(unsigned long, WebCore::ResourceRequest const&, WebKit::SandboxExtension::Handle const&, unsigned long, WebKit::UserData const&), std::tuple<unsigned long, WebCore::ResourceRequest, WebKit::SandboxExtension::Handle, unsigned long, WebKit::UserData>&&, std::index_sequence<0ul, 1ul, 2ul, 3ul, 4ul>) at /usr/src/debug/webkitgtk-2.10.0/Source/WebKit2/Platform/IPC/HandleMessage.h:16
 #16 IPC::callMemberFunction<WebKit::WebPage, void (WebKit::WebPage::*)(unsigned long, WebCore::ResourceRequest const&, WebKit::SandboxExtension::Handle const&, unsigned long, WebKit::UserData const&), std::tuple<unsigned long, WebCore::ResourceRequest, WebKit::SandboxExtension::Handle, unsigned long, WebKit::UserData>, std::make_index_sequence<5ul> >(std::tuple<unsigned long, WebCore::ResourceRequest, WebKit::SandboxExtension::Handle, unsigned long, WebKit::UserData>&&, WebKit::WebPage*, void (WebKit::WebPage::*)(unsigned long, WebCore::ResourceRequest const&, WebKit::SandboxExtension::Handle const&, unsigned long, WebKit::UserData const&)) at /usr/src/debug/webkitgtk-2.10.0/Source/WebKit2/Platform/IPC/HandleMessage.h:22
Comment 1 项纪汉 2015-10-08 04:09:16 EDT
Created attachment 1080878 [details]
File: backtrace
Comment 2 项纪汉 2015-10-08 04:09:18 EDT
Created attachment 1080879 [details]
File: cgroup
Comment 3 项纪汉 2015-10-08 04:09:22 EDT
Created attachment 1080880 [details]
File: core_backtrace
Comment 4 项纪汉 2015-10-08 04:09:25 EDT
Created attachment 1080881 [details]
File: dso_list
Comment 5 项纪汉 2015-10-08 04:09:28 EDT
Created attachment 1080882 [details]
File: environ
Comment 6 项纪汉 2015-10-08 04:09:30 EDT
Created attachment 1080883 [details]
File: limits
Comment 7 项纪汉 2015-10-08 04:09:35 EDT
Created attachment 1080884 [details]
File: maps
Comment 8 项纪汉 2015-10-08 04:09:38 EDT
Created attachment 1080885 [details]
File: mountinfo
Comment 9 项纪汉 2015-10-08 04:09:41 EDT
Created attachment 1080886 [details]
File: namespaces
Comment 10 项纪汉 2015-10-08 04:09:43 EDT
Created attachment 1080887 [details]
File: open_fds
Comment 11 项纪汉 2015-10-08 04:09:46 EDT
Created attachment 1080888 [details]
File: proc_pid_status

Note You need to log in before you can comment on or make changes to this bug.